
<section class="hero is-white is-fullheight">
<%= form_for(resource, as: resource_name, url: registration_path(resource_name)) do |f| %>
    <div class="hero-body">
        <div class="container has-text-centered">
            <div class="column is-4 is-offset-4">
                <h3 class="title has-text-black">Register</h3>
                <hr class="login-hr">
                <p class="subtitle">Already got an account? <%= link_to "Log in", new_session_path(resource_name) %>.</p>
                <div class="box">
                    <form>
                        <div class="field">
                            <div class="control">
                              <%= f.label :email %><br />
                              <%= f.email_field :email, autofocus: true, autocomplete: "email", :class => 'input' %>
                            </div>
                        </div>

                        <div class="field">
                            <div class="control">
                                <%= f.label :password %>
                                <% if @minimum_password_length %>
                                <em>(<%= @minimum_password_length %> characters minimum)</em>
                                <% end %><br />
                                <%= f.password_field :password, autocomplete: "new-password", :class => 'input' %>
                            </div>
                        </div>

                        <div class="field">
                            <div class="control">
                                <%= f.label :password_confirmation %><br />
                                <%= f.password_field :password_confirmation, autocomplete: "new-password", :class => 'input' %>
                            </div>
                        </div>

                        <button class="button is-block is-info is-fullwidth">Sign up <i class="fa fa-sign-in" aria-hidden="true"></i></button>
                    </form>
                </div>
            </div>
        </div>
    </div>
  <% end %>
</section>
